# DeleteQualifier CIM Operation

The `deleteQualifiers` operation deletes a single CIMQualifier declarations from the target Namespace.

NameSpace Target Namespace

Qualifier Qualifier name of qualifier to be deleted.

## Return Results

If successful, the specified CIMQualifier declaration MUST have been deleted from the Namespace. @return If unsuccessful, one of the following status codes MUST be returned by this method, where the first applicable error in the list (starting with the first element of the list, and working down) is the error returned. Any additional method-specific interpretation of the error in is given in parentheses.

- CIM_ERR_ACCESS_DENIED
- CIM_ERR_NOT_SUPPORTED
- CIM_ERR_INVALID_NAMESPACE
- CIM_ERR_INVALID_PARAMETER (including missing, duplicate, unrecognized or otherwise incorrect parameters)
- CIM_ERR_FAILED (some other unspecified error occurred)

## Additional Fields Description

The `deleteQualifier` operation deletes a single CIMQualifier declaration from the target Namespace.

NameSpace - The NameSpace parameter is a string that defines the target namespace \Ref{NAMESPACE}

QualifierName - The QualifierName input parameter identifies the CIMQualifier whose declaration to be deleted. @return

## C++ Pegasus API

            virtual void deleteQualifier(
            	 const String& nameSpace,
            	 const String& qualifierName) = 0;

Demonstration Prepared by the OpenGroup Manageability Work Group Pegasus Development Team

See (http://www.opengroup.org/management) for more information on Pegasus

Last Modified Friday, June 29, 2001 06:33:30 PM Copyright @ The Open Group 2001